## ros-geometry2 0.7.10

=== test_tf2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_tf2)

find_package(catkin REQUIRED COMPONENTS rosconsole roscpp rostest tf2 tf2_bullet tf2_eigen tf2_geometry_msgs tf2_kdl tf2_msgs tf2_ros)
find_package(Boost REQUIRED COMPONENTS thread)
find_package(orocos_kdl REQUIRED)

catkin_package()

if(NOT CATKIN_ENABLE_TESTING)
  return()
endif()

include_directories(${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})

link_directories(${orocos_kdl_LIBRARY_DIRS})

catkin_add_gtest(buffer_core_test test/buffer_core_test.cpp)
target_link_libraries(buffer_core_test ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

catkin_add_gtest(test_tf2_message_filter test/test_message_filter.cpp)
target_link_libraries(test_tf2_message_filter ${Boost_LIBRARIES} ${catkin_LIBRARIES})

catkin_add_gtest(test_convert test/test_convert.cpp)
target_link_libraries(test_convert ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

catkin_add_gtest(test_utils test/test_utils.cpp)
target_link_libraries(test_utils ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

add_executable(test_buffer_server EXCLUDE_FROM_ALL test/test_buffer_server.cpp)
target_link_libraries(test_buffer_server ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

add_executable(test_buffer_client EXCLUDE_FROM_ALL test/test_buffer_client.cpp)
target_link_libraries(test_buffer_client ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${orocos_kdl_LIBRARIES})


add_rostest(test/buffer_client_tester.launch)

add_executable(test_static_publisher EXCLUDE_FROM_ALL test/test_static_publisher.cpp)
target_link_libraries(test_static_publisher ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

add_rostest(test/static_publisher.launch)


add_executable(test_tf2_bullet EXCLUDE_FROM_ALL test/test_tf2_bullet.cpp)
target_link_libraries(test_tf2_bullet ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test_tf2_bullet.launch)


if(TARGET tests)
  add_dependencies(tests test_buffer_server test_buffer_client test_static_publisher test_tf2_bullet)
endif()


# used as a test fixture
if(TARGET tf2_ros_static_transform_publisher)
  add_dependencies(tests tf2_ros_static_transform_publisher test_static_publisher)
endif()

=== tf2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf2)

find_package(console_bridge REQUIRED)
find_package(catkin REQUIRED COMPONENTS geometry_msgs rostime tf2_msgs)
find_package(Boost REQUIRED COMPONENTS system thread)

catkin_package(
   INCLUDE_DIRS include
   LIBRARIES tf2
   DEPENDS console_bridge
   CATKIN_DEPENDS geometry_msgs tf2_msgs rostime)

include_directories(include ${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})

# export user definitions

#CPP Libraries
add_library(tf2 src/cache.cpp src/buffer_core.cpp src/static_cache.cpp)
target_link_libraries(tf2 ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${console_bridge_LIBRARIES})
add_dependencies(tf2 ${catkin_EXPORTED_TARGETS})

install(TARGETS tf2
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Tests
if(CATKIN_ENABLE_TESTING)

catkin_add_gtest(test_cache_unittest test/cache_unittest.cpp)
target_link_libraries(test_cache_unittest tf2  ${console_bridge_LIBRARIES})
add_dependencies(test_cache_unittest ${catkin_EXPORTED_TARGETS})

catkin_add_gtest(test_static_cache_unittest test/static_cache_test.cpp)
target_link_libraries(test_static_cache_unittest tf2  ${console_bridge_LIBRARIES})
add_dependencies(test_static_cache_unittest ${catkin_EXPORTED_TARGETS})

catkin_add_gtest(test_simple test/simple_tf2_core.cpp)
target_link_libraries(test_simple tf2  ${console_bridge_LIBRARIES})
add_dependencies(test_simple ${catkin_EXPORTED_TARGETS})

add_executable(speed_test EXCLUDE_FROM_ALL test/speed_test.cpp)
target_link_libraries(speed_test tf2  ${console_bridge_LIBRARIES})
add_dependencies(tests speed_test)
add_dependencies(tests ${catkin_EXPORTED_TARGETS})

catkin_add_gtest(test_transform_datatypes test/test_transform_datatypes.cpp)
target_link_libraries(test_transform_datatypes tf2  ${console_bridge_LIBRARIES})
add_dependencies(test_transform_datatypes ${catkin_EXPORTED_TARGETS})

endif()

=== tf2_bullet/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf2_bullet)

find_package(Bullet REQUIRED)

find_package(catkin REQUIRED COMPONENTS geometry_msgs tf2)

include_directories(include ${BULLET_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

catkin_package(INCLUDE_DIRS include ${BULLET_INCLUDE_DIRS})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})


if(CATKIN_ENABLE_TESTING)

catkin_add_gtest(test_bullet test/test_tf2_bullet.cpp)
target_link_libraries(test_bullet ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

endif()

=== tf2_eigen/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf2_eigen)

find_package(catkin REQUIRED COMPONENTS
  cmake_modules
  geometry_msgs
  tf2
)

# Finding Eigen is somewhat complicated because of our need to support Ubuntu
# all the way back to saucy.  First we look for the Eigen3 cmake module
# provided by the libeigen3-dev on newer Ubuntu.  If that fails, then we
# fall-back to the version provided by cmake_modules, which is a stand-in.
find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()

# Note that eigen 3.2 (on Ubuntu Wily) only provides EIGEN3_INCLUDE_DIR,
# not EIGEN3_INCLUDE_DIRS, so we have to set the latter from the former.
if(NOT EIGEN3_INCLUDE_DIRS)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

include_directories(include
                    ${EIGEN3_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS})

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS tf2
  DEPENDS EIGEN3)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})


if(CATKIN_ENABLE_TESTING)

  catkin_add_gtest(tf2_eigen-test test/tf2_eigen-test.cpp)
  target_link_libraries(tf2_eigen-test ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

endif()

=== tf2_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf2_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation geometry_msgs actionlib_msgs)
find_package(Boost COMPONENTS thread REQUIRED)

add_message_files(DIRECTORY msg FILES TF2Error.msg TFMessage.msg)
add_service_files(DIRECTORY srv FILES FrameGraph.srv)

add_action_files(DIRECTORY action FILES LookupTransform.action)
generate_messages(
  DEPENDENCIES actionlib_msgs std_msgs geometry_msgs
)

catkin_package(
   INCLUDE_DIRS include
   CATKIN_DEPENDS message_generation geometry_msgs actionlib_msgs)

=== tf2_py/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf2_py)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS rospy tf2)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


find_package(PythonLibs 2 REQUIRED)
include_directories(${PYTHON_INCLUDE_PATH} ${catkin_INCLUDE_DIRS})

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES tf2_py
  CATKIN_DEPENDS rospy tf2
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

## Declare a cpp library
# add_library(tf2_py
#   src/${PROJECT_NAME}/tf2_py.cpp
# )

## Declare a cpp executable
# add_executable(tf2_py_node src/tf2_py_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(tf2_py_node tf2_py_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(tf2_py_node
#   ${catkin_LIBRARIES}
# )


# Check for SSE
#!!! rosbuild_check_for_sse()

# Dynamic linking with tf worked OK, except for exception propagation, which failed in the unit test.
# so build with the objects directly instead.
if(NOT APPLE)
  link_libraries(${PYTHON_LIBRARIES})
endif()
add_library(tf2_py src/tf2_py.cpp)
target_link_libraries(tf2_py ${catkin_LIBRARIES})
add_dependencies(tf2_py ${catkin_EXPORTED_TARGETS})

if(WIN32)
  # use .pyd extension on Windows
  set_target_properties(tf2_py PROPERTIES OUTPUT_NAME "_tf2" SUFFIX ".pyd")
else()
  set_target_properties(tf2_py PROPERTIES COMPILE_FLAGS "-g -Wno-missing-field-initializers")
  set_target_properties(tf2_py PROPERTIES OUTPUT_NAME tf2 PREFIX "_" SUFFIX ".so")
  if(APPLE)
    set_target_properties(tf2_py PROPERTIES
                          LINK_FLAGS "-undefined dynamic_lookup")
  endif()
endif()
set_target_properties(tf2_py PROPERTIES
  ARCHIVE_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
  LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
  RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
)
#!! rosbuild_add_compile_flags(tf2_py ${SSE_FLAGS}) #conditionally adds sse flags if available


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS tf2_py tf2_py_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

install(TARGETS tf2_py
    DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_tf2_py.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== tf2_ros/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf2_ros)

if(NOT ANDROID)
set(TF2_PY tf2_py)
endif()

find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  geometry_msgs
  message_filters
  roscpp
  rosgraph
  rospy
  tf2
  tf2_msgs
  ${TF2_PY}
)
find_package(Boost REQUIRED COMPONENTS thread)

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
  actionlib
  actionlib_msgs
  geometry_msgs
  message_filters
  roscpp
  rosgraph
  tf2
  tf2_msgs
  ${TF2_PY}
)

include_directories(include ${catkin_INCLUDE_DIRS})

# tf2_ros library
add_library(${PROJECT_NAME}
  src/buffer.cpp
  src/transform_listener.cpp
  src/buffer_client.cpp
  src/buffer_server.cpp
  src/transform_broadcaster.cpp
  src/static_transform_broadcaster.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

# buffer_server executable
add_executable(${PROJECT_NAME}_buffer_server src/buffer_server_main.cpp)
add_dependencies(${PROJECT_NAME}_buffer_server ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_buffer_server
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)
set_target_properties(${PROJECT_NAME}_buffer_server
  PROPERTIES OUTPUT_NAME buffer_server
)

# static_transform_publisher
add_executable(${PROJECT_NAME}_static_transform_publisher
  src/static_transform_broadcaster_program.cpp
)
add_dependencies(${PROJECT_NAME}_static_transform_publisher ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_static_transform_publisher
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)
set_target_properties(${PROJECT_NAME}_static_transform_publisher
  PROPERTIES OUTPUT_NAME static_transform_publisher
)

# Install library
install(TARGETS
  ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Install executable
install(TARGETS
  ${PROJECT_NAME}_buffer_server ${PROJECT_NAME}_static_transform_publisher
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)


# Tests
if(CATKIN_ENABLE_TESTING)

# new requirements for testing
find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  geometry_msgs
  message_filters
  roscpp
  rosgraph
  rospy
  rostest
  tf2
  tf2_msgs
  ${TF2_PY}
)



# tf2_ros_test_listener
add_executable(${PROJECT_NAME}_test_listener EXCLUDE_FROM_ALL test/listener_unittest.cpp)
add_dependencies(${PROJECT_NAME}_test_listener ${catkin_EXPORTED_TARGETS})
add_executable(${PROJECT_NAME}_test_time_reset EXCLUDE_FROM_ALL test/time_reset_test.cpp)
add_dependencies(${PROJECT_NAME}_test_time_reset ${catkin_EXPORTED_TARGETS})
add_executable(${PROJECT_NAME}_test_message_filter EXCLUDE_FROM_ALL test/message_filter_test.cpp)
add_dependencies(${PROJECT_NAME}_test_message_filter ${catkin_EXPORTED_TARGETS})

target_link_libraries(${PROJECT_NAME}_test_listener
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${GTEST_LIBRARIES}
)

target_link_libraries(${PROJECT_NAME}_test_time_reset
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${GTEST_LIBRARIES}
)

target_link_libraries(${PROJECT_NAME}_test_message_filter
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${GTEST_LIBRARIES}
)

add_dependencies(tests ${PROJECT_NAME}_test_listener)
add_dependencies(tests ${PROJECT_NAME}_test_time_reset)
add_dependencies(tests ${PROJECT_NAME}_test_message_filter)

add_rostest(test/transform_listener_unittest.launch)
add_rostest(test/transform_listener_time_reset_test.launch)
add_rostest(test/message_filter_test.launch)

endif()

=== tf2_sensor_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf2_sensor_msgs)

find_package(catkin REQUIRED COMPONENTS cmake_modules sensor_msgs tf2_ros tf2)
find_package(Boost COMPONENTS thread REQUIRED)

# Finding Eigen is somewhat complicated because of our need to support Ubuntu
# all the way back to saucy.  First we look for the Eigen3 cmake module
# provided by the libeigen3-dev on newer Ubuntu.  If that fails, then we
# fall-back to the version provided by cmake_modules, which is a stand-in.
find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()

# Note that eigen 3.2 (on Ubuntu Wily) only provides EIGEN3_INCLUDE_DIR,
# not EIGEN3_INCLUDE_DIRS, so we have to set the latter from the former.
if(NOT EIGEN3_INCLUDE_DIRS)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

catkin_package(
   INCLUDE_DIRS include
   CATKIN_DEPENDS sensor_msgs tf2_ros tf2
   DEPENDS EIGEN3
)


include_directories(include
   ${catkin_INCLUDE_DIRS}
   ${EIGEN3_INCLUDE_DIRS}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/test_tf2_sensor_msgs.py)

  find_package(catkin REQUIRED COMPONENTS geometry_msgs sensor_msgs rostest tf2_ros tf2)

  add_executable(test_tf2_sensor_msgs_cpp EXCLUDE_FROM_ALL test/test_tf2_sensor_msgs.cpp)
  target_link_libraries(test_tf2_sensor_msgs_cpp ${catkin_LIBRARIES} ${GTEST_LIBRARIES})


  if(TARGET tests)
    add_dependencies(tests test_tf2_sensor_msgs_cpp)
  endif()
  add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test.launch)

endif()

=== debian/changelog ===
ros-geometry2 (0.7.10-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 0.7.10
  * Update patches.
    - Obsolete: 0010-Adapt-to-Python-3.9.patch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Sep 2025 17:29:32 +0200

=== debian/control ===
Source: ros-geometry2
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros (>= 0.14.1~),
 dh-sequence-python3,
 catkin (>= 0.8.10-1~),
 libactionlib-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-thread-dev,
 libbullet-dev,
 libconsole-bridge-dev,
 libeigen3-dev,
 libgeometry-msgs-dev,
 libgtest-dev,
 libmessage-filters-dev,
 liborocos-kdl-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-core-dev,
 libroscpp-dev,
 librostest-dev,
 libsensor-msgs-dev,
 libstd-msgs-dev,
 libxmlrpcpp-dev,
 python3-actionlib <!nocheck>,
 python3-all-dev,
 python3-pykdl <!nocheck>,
 python3-rosgraph (>= 1.14.3+ds1-7),
 python3-rospy (>= 1.14.3+ds1-7),
 python3-rostest <!nocheck>,
 python3-sensor-msgs <!nocheck>,
 python3-setuptools,
 ros-actionlib-msgs,
 ros-cmake-modules,
 ros-message-generation,
 ros-sensor-msgs,
 rosbash <!nocheck>,
Standards-Version: 4.7.2
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/geometry2
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometry2
Vcs-Git: https://salsa.debian.org/science-team/ros-geometry2.git

Package: libtf2-2d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS tf2 transform library
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the library itself.

Package: cl-tf2-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-actionlib-msgs,
 cl-geometry-msgs,
 ${misc:Depends},
Description: Robot OS tf2 transform library messages - LISP
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the LISP binding (messages).

Package: cl-tf2-srvs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Robot OS tf2 transform library services - LISP
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the LISP binding (services).

Package: libtf2-bullet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbullet-dev,
 libgeometry-msgs-dev,
 libtf2-dev,
 ${misc:Depends},
Description: Robot OS tf2 transform library for Bullet - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files for libtf2 for Bullet.

Package: libtf2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-dev,
 libconsole-bridge-dev,
 libgeometry-msgs-dev,
 libroscpp-core-dev,
 libtf2-2d ( = ${binary:Version}),
 libtf2-geometry-msgs-dev,
 libtf2-msgs-dev,
 ${misc:Depends},
Description: Robot OS tf2 transform library - development files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files of the tf2 library.

#tf2_eigen
Package: libtf2-eigen-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libeigen3-dev,
 libgeometry-msgs-dev,
 libtf2-dev,
 ${misc:Depends},
Description: Robot OS tf2 transform library for Eigen - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains development files to convert between libtf2 and Eigen.

#tf2_geometry_msgs
Package: libtf2-geometry-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgeometry-msgs-dev,
 liborocos-kdl-dev,
 libtf2-dev,
 ${misc:Depends},
Description: Robot OS geometry messages for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files to transform geometry messages
 to tf2.

#tf2_kdl
Package: libtf2-kdl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libeigen3-dev,
 liborocos-kdl-dev,
 libtf2-dev,
 libtf2-msgs-dev,
 libtf2-ros-dev,
 ${misc:Depends},
Description: Robot OS tf2 transform library using Orocos-KDL - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files to convert between tf2 and
 liborocos-kdl.

Package: libtf2-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libactionlib-msgs-dev,
 libgeometry-msgs-dev,
 ros-message-generation,
 ${misc:Depends},
Description: Robot OS messages for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files.

Package: libtf2-ros-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libactionlib-dev,
 libactionlib-msgs-dev,
 libgeometry-msgs-dev,
 libmessage-filters-dev,
 libroscpp-dev,
 libtf2-dev,
 libtf2-msgs-dev,
 libtf2-ros1d (= ${binary:Version}),
 ${misc:Depends},
Description: Robot OS binding for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files of the ROS binding to tf2.

Package: libtf2-ros1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS binding for tf2 transform library
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the ROS bindings to tf2.

Package: libtf2-sensor-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libeigen3-dev,
 libsensor-msgs-dev,
 libtf2-dev,
 libtf2-ros-dev,
 ${misc:Depends},
Description: Small lib for ROS to transform sensor_msgs with tf2 - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains utils to transform sensor_msgs with tf2.

Package: python3-tf2
Section: python
Architecture: any
Depends:
 libtf2-dev,
 python3-geometry-msgs,
 python3-rospy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Robot OS tf2 transform library - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 3 binding.

Package: python3-tf2-geometry-msgs
Section: python
Architecture: all
Depends:
 python3-geometry-msgs,
 python3-pykdl,
 python3-rospy,
 python3-tf2-ros,
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS tf2 transform library for Bullet - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 3 code to transform geometry messages to tf2.

Package: python3-tf2-kdl
Section: python
Architecture: all
Depends:
 python3-geometry-msgs,
 python3-pykdl,
 python3-rospy,
 python3-tf2-ros,
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS tf2 transform library using Orocos-KDL - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 3 code to convert betweenw tf2 and
 liborocos-kdl.

Package: python3-tf2-msgs
Section: python
Architecture: all
Depends:
 python3-actionlib-msgs,
 python3-geometry-msgs,
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS messages for tf2 transform library - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation tf2 tf2/utils.h tf2/buffer_core.h tf2/time_cache.h tf2/convert.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtf2-dev,
Features:
 test-name=libtf2-dev,

Test-Command: ./debian/tests/compilation tf2_ros tf2_ros/buffer_server.h tf2_ros/transform_listener.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtf2-ros-dev,
Features:
 test-name=libtf2-ros-dev,

Test-Command: ./debian/tests/compilation tf2_msgs tf2_msgs/FrameGraph.h tf2_msgs/LookupTransformAction.h tf2_msgs/TFMessage.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtf2-msgs-dev,
Features:
 test-name=libtf2-msgs-dev,

Test-Command: ./debian/tests/compilation tf2_sensor_msgs tf2_sensor_msgs/tf2_sensor_msgs.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtf2-sensor-msgs-dev,
Features:
 test-name=libtf2-sensor-msgs-dev,

Test-Command: ./debian/tests/compilation tf2_bullet tf2_bullet/tf2_bullet.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtf2-bullet-dev,
Features:
 test-name=libtf2-bullet-dev,

Test-Command: ./debian/tests/compilation tf2_eigen tf2_eigen/tf2_eigen.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtf2-eigen-dev,
Features:
 test-name=libtf2-eigen-dev,

Test-Command: ./debian/tests/compilation tf2_geometry_msgs tf2_geometry_msgs/tf2_geometry_msgs.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtf2-geometry-msgs-dev,
Features:
 test-name=libtf2-geometry-msgs-dev,

Test-Command: ./debian/tests/compilation tf2_kdl tf2_kdl/tf2_kdl.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtf2-kdl-dev,
Features:
 test-name=libtf2-kdl-dev,

Test-Command: python3 -c 'import tf2'
Restrictions:
 allow-stderr,
Depends:
 python3-tf2,
Features:
 test-name=python3-tf2,

Test-Command: python3 -c 'import tf2_ros'
Restrictions:
 allow-stderr,
Depends:
 python3-tf2-ros,
Features:
 test-name=python3-tf2-ros,

Test-Command: python3 -c 'import tf2_msgs'
Restrictions:
 allow-stderr,
Depends:
 python3-tf2-msgs,
Features:
 test-name=python3-tf2-msgs,

Test-Command: python3 -c 'import tf2_sensor_msgs'
Restrictions:
 allow-stderr,
Depends:
 python3-tf2-sensor-msgs,
Features:
 test-name=python3-tf2-sensor-msgs,

Test-Command: python3 -c 'import tf2_geometry_msgs'
Restrictions:
 allow-stderr,
Depends:
 python3-tf2-geometry-msgs,
Features:
 test-name=python3-tf2-geometry-msgs,

Test-Command: python3 -c 'import tf2_kdl'
Restrictions:
 allow-stderr,
Depends:
 python3-tf2-kdl,
Features:
 test-name=python3-tf2-kdl,

=== debian/watch ===
Version: 5

Template: Github
Owner: ros
Project: geometry2
